Subject: bug#21472: 25.0.50; REGRESSION: (emacs) `Coding Systems' uses curly quotes for Lisp strings

From: Drew Adams <[email-masked]>
Date: Sun, 13 Sep 2015 14:11:06 -0700 (PDT)

> >    In addition to converting various representations of non-ASCII
> >  characters, a coding system can perform end-of-line conversion.  Emacs
> >  handles three different conventions for how to separate lines in a
> >  file:  newline ("unix"), carriage-return linefeed ("dos"), and just
> >  carriage-return ("mac").
> >
> > Why curly double-quotes here?
> 
> These are literal strings, so they are quoted.

Literal for what purpose?  What is being quoted?  None of those
"strings" of text is used normally without capitalization.

And if they are in fact supposed to be "strings" in the
programming sense then straight ASCII double-quotes are what
we use (in the rest of the manual).

Search for such curly double quotes, and you will not, I think,
find other such occurrences.  The other occurrences are of
terms that we introduce (e.g., define).

This is *not* a general problem.  It is not about the use of
curly double-quotes in, for example, the copyright statement
(e.g.,  “You have the freedom to copy and modify this GNU manual.
Buying copies from the FSF supports it in developing GNU and
promoting software freedom.”).

> > Either those quoted names are supposed
> > to be Lisp strings or they are proper names.  In the latter case they
> > should not be quoted at all, and they should be properly capitalized.
> > In the former case (which is what I'm guessing is meant), plain ASCII
> > double-quote chars should be used.
> 
> Latest versions of makeinfo convert ``...'' into “...”.

So these particular occurrences of ``...'' were also incorrect
previously.

> That's life, you should get used to it.  It won't go away,
> no matter how many "bug reports" you will file for that.

You are apparently fighting a phantom.  I've even modified
my own Info enhancements so they fontify the text between
such curly double-quotes.  In a separate face, because the
quoted text does not have the same meaning as that enclosed
in straight ASCII double-quotes (a string) or that enclosed
between curly single-quotes (what was formerly `...').

The point of this bug is that those *particular* terms do
not belong between curly double-quotes (IMHO).  If they were
ordinary text being quoted then they would be (should be)
capitalized - "unix", "dos", etc. are written incorrectly
for such a usage.

This bug is not about other curly double-quoted text in the
manual.  It is specific to these terms.